Bug 1598244 (CVE-2018-6541) - CVE-2018-6541 zziplib: Bus error caused by loading of a misaligned address inzzip/zip.c
Summary: CVE-2018-6541 zziplib: Bus error caused by loading of a misaligned address in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-6541
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1598245 1598246 1600108
Blocks: 1598247
TreeView+ depends on / blocked
 
Reported: 2018-07-04 21:12 UTC by Laura Pardo
Modified: 2019-09-29 14:43 UTC (History)
2 users (show)

Fixed In Version: zziplib 0.13.68
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:18:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2196 0 None None None 2019-08-06 12:26:54 UTC

Description Laura Pardo 2018-07-04 21:12:26 UTC
A flaw was found in ZZIPlib 0.13.67, there is a bus error caused by loading of a misaligned address (when handling disk64_trailer local entries) in __zzip_fetch_disk_trailer (zzip/zip.c). Remote attackers could leverage this vulnerability to cause a denial of service via a crafted zip file.


References:
https://github.com/gdraheim/zziplib/issues/16

Comment 1 Laura Pardo 2018-07-04 21:12:51 UTC
Created zziplib tracking bugs for this issue:

Affects: fedora-all [bug 1598246]

Comment 6 errata-xmlrpc 2019-08-06 12:26:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2196 https://access.redhat.com/errata/RHSA-2019:2196

Comment 7 Product Security DevOps Team 2019-08-06 13:18:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-6541


Note You need to log in before you can comment on or make changes to this bug.